<template>
  <v-app>
    <v-img class="background" src="@/assets/36.jpg">
      <v-app-bar flat height="100px">
        <v-layout wrap justify-end>
          <v-flex xs1 style="margin:auto">
            <div style="cursor:pointer" @click="goHome">
              <img class="nav_img" src="@/assets/inetlogo.png" />
            </div>
          </v-flex>
          <v-flex xs9>
          </v-flex>
          <v-flex xs1 style="margin:auto" class="nav_menu" @click="goHome">
            <v-icon style="color:black" class="mr-2">mdi-home</v-icon>เข้าสู่เว็ปไซต์
          </v-flex>
          <v-flex xs1 style="margin:auto" class="nav_menu">
            <v-icon style="color:black" class="mr-2">mdi-login</v-icon>ล็อคอิน
          </v-flex>
        </v-layout>
      </v-app-bar>
      <v-layout wrap justify-center align-start fill-height>
        <v-flex xs6>
          <v-layout wrap justify-center align-center fill-height>
            <v-flex xs12>
              <div>
                <v-layout wrap class="mt-10">
                  <v-flex xs12 class="text-center">
                    <h1 style="color:white">LOGIN</h1>
                  </v-flex>
                </v-layout>
                <v-card class="card_login mt-10" style="margin:auto">
                  <v-container>
                    <v-layout wrap>
                      <v-flex xs12>
                        <v-form v-model="valid">
                          <v-container grid-list-xs>
                            <v-layout wrap>
                              <v-flex xs12>
                                <v-text-field
                                  v-model="emailLogin"
                                  :rules="emailRules"
                                  label="E-Mail"
                                  outlined
                                  dark
                                  color="white"
                                  required
                                ></v-text-field>
                              </v-flex>
                            </v-layout>

                            <v-layout wrap>
                              <v-flex xs12>
                                <v-text-field
                                  v-model="passwordLogin"
                                  :rules="passwordRules"
                                  label="Password"
                                  outlined
                                  dark
                                  color="white"
                                  required
                                  type="password"
                                ></v-text-field>
                              </v-flex>
                            </v-layout>

                            <v-layout wrap class="text-center mt-3">
                              <v-flex xs12 style="color:white">
                                <v-btn class="btn-color" @click="login">Login</v-btn>
                              </v-flex>
                            </v-layout>
                          </v-container>
                        </v-form>
                      </v-flex>
                    </v-layout>
                  </v-container>
                </v-card>
              </div>
            </v-flex>
          </v-layout>
        </v-flex>

        <v-flex xs6>
          <v-layout wrap justify-center align-center fill-height>
            <v-flex xs12>
              <div>
                <v-layout wrap class="mt-10">
                  <v-flex xs12 class="text-center">
                    <h1 style="color:white">REGISTER</h1>
                  </v-flex>
                </v-layout>
                <v-card class="card_register mt-10" style="margin:auto">
                  <v-container>
                    <v-layout wrap>
                      <v-flex xs12>
                        <v-form v-model="valid">
                          <v-container grid-list-xs>
                            <v-layout wrap>
                              <v-flex xs12>
                                <v-text-field
                                  v-model="name"
                                  :rules="nameRules"
                                  label="Name"
                                  outlined
                                  dark
                                  required
                                  color="white"
                                ></v-text-field>
                              </v-flex>
                            </v-layout>

                            <v-layout wrap>
                              <v-flex xs12>
                                <v-text-field
                                  v-model="lastname"
                                  :rules="lastnameRules"
                                  label="Lastname"
                                  outlined
                                  dark
                                  required
                                  color="white"
                                ></v-text-field>
                              </v-flex>
                            </v-layout>

                            <v-layout wrap>
                              <v-flex xs12>
                                <v-text-field
                                  v-model="emailRegister"
                                  :rules="emailRules"
                                  label="E-Mail"
                                  outlined
                                  dark
                                  required
                                  color="white"
                                ></v-text-field>
                              </v-flex>
                            </v-layout>

                            <v-layout wrap>
                              <v-flex xs12>
                                <v-text-field
                                  v-model="passwordRegister"
                                  :rules="passwordRules"
                                  label="Password"
                                  outlined
                                  dark
                                  color="white"
                                  required
                                  type="password"
                                ></v-text-field>
                              </v-flex>
                            </v-layout>

                            <v-layout wrap>
                              <v-flex xs12>
                                <v-text-field
                                  v-model="confirm_password"
                                  :rules="confirmPasswordRules"
                                  label="Confirm-Password"
                                  outlined
                                  dark
                                  color="white"
                                  required
                                  type="password"
                                ></v-text-field>
                              </v-flex>
                            </v-layout>
                            <v-layout wrap class="text-center">
                              <v-flex xs6 style="color:white">
                                <v-btn class="btn-color" @click="register">Enter</v-btn>
                              </v-flex>
                              <v-flex xs6 style="color:white">
                                <v-btn class="btn-color" type="reset">Reset</v-btn>
                              </v-flex>
                            </v-layout>
                          </v-container>
                        </v-form>
                      </v-flex>
                    </v-layout>
                  </v-container>
                </v-card>
              </div>
            </v-flex>
          </v-layout>
        </v-flex>
      </v-layout>
    </v-img>
    <!-- ////////////////////////////////////DIALOG//////////////////////////////// -->
    <v-dialog v-model="dialogRegisterFail" width="500">
      <v-card>
        <v-layout wrap justify-center align-center>
          <v-flex xs12 text-right>
            <v-btn icon color="white" @click="dialogRegisterFail = false">
              <img :src="require(`@/assets/Cancle.svg`)" />
            </v-btn>
          </v-flex>
        </v-layout>
        <v-card-title>
          <v-flex xs12 text-center>
            <img :src="require(`@/assets/Warning.svg`)" />
          </v-flex>
        </v-card-title>
        <v-card-text>
          <v-flex xs12 text-center>
            <span>ลงทะเบียนสำเร็จ</span>
          </v-flex>
        </v-card-text>
      </v-card>
    </v-dialog>

    <v-dialog v-model="dialogRegisterSuccess" width="500">
      <v-card>
        <v-layout wrap justify-center align-center>
          <v-flex xs12 text-right>
            <v-btn icon color="white" @click="dialogRegisterSuccess = false">
              <img :src="require(`@/assets/Cancle.svg`)" />
            </v-btn>
          </v-flex>
        </v-layout>
        <v-card-title>
          <v-flex xs12 text-center>
            <img :src="require(`@/assets/Correct.svg`)" />
          </v-flex>
        </v-card-title>
        <v-card-text>
          <v-flex xs12 text-center>
            <span>ลงทะเบียนสำเร็จ</span>
          </v-flex>
        </v-card-text>
      </v-card>
    </v-dialog>

    <v-dialog v-model="dialogLoginFail" width="500">
      <v-card>
        <v-layout wrap justify-center align-center>
          <v-flex xs12 text-right>
            <v-btn icon color="white" @click="dialogRegisterFail = false">
              <img :src="require(`@/assets/Cancle.svg`)" />
            </v-btn>
          </v-flex>
        </v-layout>
        <v-card-title>
          <v-flex xs12 text-center>
            <img :src="require(`@/assets/Warning.svg`)" />
          </v-flex>
        </v-card-title>
        <v-card-text>
          <v-flex xs12 text-center>
            <span>ล็อคอินไม่สำเร็จ</span>
          </v-flex>
        </v-card-text>
      </v-card>
    </v-dialog>
    <!-- ////////////////////////////////////DIALOG//////////////////////////////// -->
  </v-app>
</template>
<script>
import { Decode, Encode } from '@/services'
export default {
  data () {
    return {
      myInfo: '',
      testENV: process.env.VUE_APP_API,
      auth: '',
      dataRegister: [],
      dataLogin: {},
      valid: false,
      name: '',
      lastname: '',
      emailLogin: '',
      emailRegister: '',
      passwordLogin: '',
      passwordRegister: '',
      confirm_password: '',
      nameRules: [
        v => !!v || 'Name is required'
        // v => v.length <= 10 || 'Name must be less than 10 characters'
      ],
      lastnameRules: [
        v => !!v || 'Lastname is required'
        // v => v.length <= 10 || 'Name must be less than 10 characters'
      ],
      passwordRules: [
        v => !!v || 'Password is required',
        v => v.length >= 8 || 'Name must be less than 8 characters'
      ],
      confirmPasswordRules: [
        v => !!v || 'Confirm-Password is required',
        v => v.length >= 8 || 'Name must be less than 8 characters'
      ],
      emailRules: [
        v => !!v || 'E-mail is required',
        v => /.+@.+/.test(v) || 'E-mail must be valid'
      ],
      dialogRegisterFail: false,
      dialogRegisterSuccess: false,
      dialogLoginFail: false,
      datahong: [],
      funTrip: [],
      dataFunTrip: {},
      dataElement: {},
      items: []
    }
  },
  async created () {
    console.log('DOMAIN', process.env.VUE_APP_WEB_DOMAIN)
    // this.getData()
    this.auth = JSON.parse(JSON.parse(Decode.decode(this.$cookies.get('datdaInfo'))))

    if (this.auth !== '') {
      if (this.$cookies.isKey('datdaInfo')) {
        this.myInfo = JSON.parse(JSON.parse(Decode.decode(this.$cookies.get('datdaInfo'))))
        window.location = await process.env.VUE_APP_WEB_CENTER
      } else {
        this.myInfo = ''
        window.location = await process.env.VUE_APP_WEB_CENTER
      }
    } else {
      this.myInfo = ''
      window.location = await process.env.VUE_APP_WEB_LOGIN
    }
  },
  methods: {
    // async getData () {
    //   try {
    //     var response = await this.axios.get('http://203.154.83.109/api/v2/content/index')
    //     this.datahong = response.data.data
    //     console.log('datahong', this.datahong)
    //     this.funTrip = this.datahong[0]
    //     console.log('funTrip', this.funTrip)
    //     this.dataFunTrip = this.funTrip.data
    //     console.log('dataFunTrip', this.dataFunTrip)
    //   } catch (error) {
    //     console.log(error.message)
    //   }
    // },
    async register () {
      var item = {
        name: this.name,
        lastname: this.lastname,
        email: this.emailRegister,
        password: this.passwordRegister,
        password_confirmation: this.confirm_password
      }

      console.log('register', item)
      if (this.passwordRegister === this.confirm_password) {
        try {
          var response = await this.axios.post(process.env.VUE_APP_API + '/api/auth/signup', item)
          console.log(response.data)
          if (response.data.message === 'Successfully created user!') {
            this.dataRegister = await response.data.data
            this.dialogRegisterSuccess = true
            await setTimeout(() => { this.dialogRegisterSuccess = false }, 3000)
            window.location = await process.env.VUE_APP_WEB_LOGIN
          }
        } catch (error) {
          console.log(error.message)
        }
      } else {
        this.dialogRegisterFail = true
        await setTimeout(() => { this.dialogRegisterFail = false }, 3000)
      }
    },
    async login () {
      var item = {
        email: this.emailLogin,
        password: this.passwordLogin
      }
      console.log(item)
      try {
        var response = await this.axios.post(process.env.VUE_APP_API + '/api/auth/login', item)
        console.log('response', response)
        if (response.status === 200) {
          if (response.data.permission === 'User') {
            this.dataLogin = await response.data
            console.log('===========>', this.dataLogin)
            this.$cookies.set('datdaInfo', Encode.encode(JSON.stringify(this.dataLogin)), null, '/', process.env.VUE_APP_WEB_DOMAIN)
            window.location = process.env.VUE_APP_WEB_CENTER
          } else if (response.data.permission === 'Admin') {
            this.$cookies.set('datdaInfo', Encode.encode(JSON.stringify(this.dataLogin)), null, '/', process.env.VUE_APP_WEB_DOMAIN)
            window.location = process.env.VUE_APP_ADMIN + '/rdr/' + response.data.admin_redirect
          }
        }
      } catch (error) {
        console.log(error.message)
      }
    },
    goHome () {
      window.location = process.env.VUE_APP_WEB_CENTER
    }
  }

}
</script>
<style>
.background {
  position: fixed;
  top: 0;
  left: 0;
  max-width: 1280px;
  min-width: 100%;
  min-height: 100%;
}
.card_login {
  max-width: 550px;
  width: 100%;
  height: 300px;
  /* height: 500px; */
  border-radius: 8px !important ;
  background: rgba(10, 10, 10, 0.4) !important;
}
.card_register {
  max-width: 550px;
  width: 100%;
  height: 600px;
  border-radius: 8px !important ;
  background: rgba(10, 10, 10, 0.4) !important;
}
.btn-color {
  background: rgba(10, 10, 10, 0.1);
}
.nav_img {
  width: 154px;
  height: 70px;
}
.nav_menu {
  cursor: pointer;
  color: black;
}
.nav_menu:hover {
  cursor: pointer;
  color: #ddd;
}
</style>
